"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
exports.ApolloClientsContext = react_1.createContext(null);
var ApolloClientsManager = /** @class */ (function () {
    function ApolloClientsManager(clients) {
        this.clients = clients;
    }
    ApolloClientsManager.prototype.getClient = function (key) {
        if (key === void 0) { key = 'default'; }
        return this.clients[key];
    };
    ApolloClientsManager.prototype.extract = function () {
        var result = {};
        for (var _i = 0, _a = Object.entries(this.clients); _i < _a.length; _i++) {
            var _b = _a[_i], key = _b[0], value = _b[1];
            result[key] = value.extract();
        }
        return result;
    };
    return ApolloClientsManager;
}());
exports.ApolloClientsManager = ApolloClientsManager;
function useContextApolloClient(clientOrName) {
    var apolloClientsContext = react_1.useContext(exports.ApolloClientsContext);
    if (!clientOrName) {
        return apolloClientsContext.getClient();
    }
    else if (typeof clientOrName === 'string') {
        return apolloClientsContext.getClient(clientOrName);
    }
    else {
        return clientOrName;
    }
}
exports.useContextApolloClient = useContextApolloClient;
//# sourceMappingURL=ApolloClientsContext.js.map